org.apache.lucene.analysis.miscellaneous

## Class LengthFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.util.FilteringTokenFilter
        - - org.apache.lucene.analysis.miscellaneous.LengthFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class LengthFilter
    extends FilteringTokenFilter

Removes words that are too long or too short from the stream.

Note: Length is calculated as the number of UTF-16 code units.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`LengthFilter(boolean enablePositionIncrements, TokenStream in, int min, int max)` Build a filter that removes words that are too long or too short from the text.

### Method Summary

Methods
`boolean` `accept()` Override this method and return if the current input token should be returned by `FilteringTokenFilter.incrementToken()`.

### Methods inherited from class org.apache.lucene.analysis.util.FilteringTokenFilter

`getEnablePositionIncrements, incrementToken, reset, setEnablePositionIncrements`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LengthFilter

    public LengthFilter(boolean enablePositionIncrements,
                TokenStream in,
                int min,
                int max)

Build a filter that removes words that are too long or too short from the text.

### Method Detail

#### accept

    public boolean accept()

Description copied from class: `FilteringTokenFilter`
Override this method and return if the current input token should be returned by `FilteringTokenFilter.incrementToken()`.

Specified by:
  `accept` in class `FilteringTokenFilter`